import * as React from 'react';
import {Layout, Providers} from '@rx-suite/ui';
import './stores';
import {RxAppModel, RxAppStore} from '@rx-suite/stores';
import {DashboardTargetStore} from './stores/DashboardTargetStore';
import {DashboardComponentPlacementStore} from "./stores/DashboardComponentPlacementStore";
import {DashboardGroupDashboardStore} from "./stores/DashboardGroupDashboardStore";
import {getRoutes} from "./routes";
import {observer} from "mobx-react-lite";
import {t} from "@lingui/macro";
import {subscribe} from "@rx-suite/data";
import 'react-table/react-table.css';
import 'react-grid-layout/css/styles.css';
import 'react-resizable/css/styles.css';
import {DashboardGroupStore} from "./stores/DashboardGroupStore";
import {DashboardStore} from "./stores/DashboardStore";
import {DashboardComponentStore} from "./stores/DashboardComponentStore";

subscribe();
DashboardTargetStore.getAll();
DashboardComponentStore.getAll();
DashboardComponentPlacementStore.getAll();
DashboardStore.getAll();
DashboardGroupDashboardStore.getAll();
DashboardGroupStore.getAll();

export default observer(() => {
    const model = RxAppStore.selectedModel as RxAppModel;
    React.useEffect(() => {
        if (model) {
            model.setTitleBase(t`Rx-Dashboards`)
        }
    }, [model]);
    return (
        <Providers theme={model.theme} language={'en'}>
            <Layout routes={getRoutes()}/>
        </Providers>
    )
});


