import * as React from 'react';
import {observer} from "mobx-react-lite";
import {DashboardTargetModel} from "../../../stores/DashboardTargetStore";
import {DashboardComponentModel} from "../../../stores/DashboardComponentStore";
import {ParameterField} from "./ParameterField";
import {Parameter} from "../../../stores/Types";

export type DashboardComponentParametersProps = {
    component: DashboardComponentModel
}

export const DashboardComponentParameters: React.FunctionComponent<DashboardComponentParametersProps> = observer(({component}) => {
    const target = component.viewModel.dashboard_target as DashboardTargetModel
    if (!target) {
        return null;
    }

    return <React.Fragment>
        {Object.values(target.parameters).map((parameterDef: Parameter) => (
            <ParameterField key={parameterDef.id} parameter={parameterDef} component={component}/>
        ))}
    </React.Fragment>
});
